http://api.mediatailor.{region}.amazonaws.com/sourceLocation/{SourceLocationName}/liveSourcesLists the live sources contained in a source location. A source represents a piece of content.
The name of the source location associated with this Live Sources list.
The maximum number of live sources that you want MediaTailor to return in response to the current request. If there are more than <code>MaxResults</code> live sources, use the value of <code>NextToken</code> in the response to get the next page of results.
Pagination token returned by the list request when results exceed the maximum allowed. Use the token to fetch the next page of results.
Pagination limit
Pagination token
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://api.mediatailor.{region}.amazonaws.com/sourceLocation/{SourceLocationName}/liveSources' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://api.mediatailor.{region}.amazonaws.com/sourceLocation/{SourceLocationName}/liveSourcesLists the live sources contained in a source location. A source represents a piece of content.
The name of the source location associated with this Live Sources list.
The maximum number of live sources that you want MediaTailor to return in response to the current request. If there are more than <code>MaxResults</code> live sources, use the value of <code>NextToken</code> in the response to get the next page of results.
Pagination token returned by the list request when results exceed the maximum allowed. Use the token to fetch the next page of results.
Pagination limit
Pagination token
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://api.mediatailor.{region}.amazonaws.com/sourceLocation/{SourceLocationName}/liveSources' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}